Skip to content
You are reading Orion development version documentation and some displayed features may not be available in the stable release. You can switch to stable version using the version box at screen bottom.

Build from source

Prerequisites

Important

Orion requires Java 11+; earlier versions are not supported.

Installation on Linux / Unix / MacOS X

Clone the Orion repository

Clone the PegaSysEng/orion repository:

git clone https://github.com/PegaSysEng/orion.git

Build Orion

After cloning, go to the orion directory.

Build Orion with the Gradle wrapper gradlew, omitting tests as follows:

./gradlew build -x test

Go to the distribution directory:

cd build/distributions/

Expand the distribution archive:

tar -xzf orion-<version>.tar.gz

Move to the expanded folder and display the Orion help to confirm installation.

cd orion-<version>/
bin/orion --help

Installation on Windows

Install Orion

Clone the PegaSysEng/orion repository:

git clone https://github.com/PegaSysEng/orion.git

Build Orion

Go to the orion directory:

cd orion

Build Orion with the Gradle wrapper gradlew, omitting tests as follows:

.\gradlew build -x test

Note

To run gradlew, you must have the JAVA_HOME system variable set to the Java installation directory. For example: JAVA_HOME = C:\Program Files\Java\jdk1.8.0_181.

Go to the distribution directory:

cd build\distributions

Expand the distribution archive:

tar -xzf orion-<version>.tar.gz

Go to the expanded folder and display the Orion help to confirm installation.

cd orion-<version>
bin\orion --help
ConsenSys has acquired Quorum from J.P. Morgan. Please read the FAQ.
Questions or feedback? You can discuss issues and obtain free support on Orion Discord channel.
For paid professional support by Consensys, contact us at quorum@consensys.net